/*
 * 	Mailform.m
 *
 *	You may freely copy, distribute and reuse the code in this example.
 *	Luke Howard disclaims any warranty of any kind, expressed or implied, as to
 *  its fitness for any particular use.
 *
 */
#import <WebObjects/WOWebScriptApplication.h>
#import <WebObjects/WOApplicationAdaptor.h>
#import <foundation/NSAutoreleasePool.h>

void main(int argc, char *argv[]) {
    NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
    WOApplicationAdaptor *adaptor = [[[WOApplicationAdaptor alloc] init] autorelease];
    WOWebScriptApplication *application = [WOWebScriptApplication sharedInstance];
#ifdef DEBUG
    [NSAutoreleasePool enableDoubleReleaseCheck:YES];
#endif
    [adaptor runWithApplication:application];
    [pool release];
    exit(0);
}
