#import <eoaccess/eoaccess.h>

@interface EOEntity (CRUDLayerExtensions)
- (Class)classNameClass;
- (NSArray*)attributeNames;
- (NSArray*)visibleAttributes;
- (NSArray*)visibleAttributeNames;

// - (NSArray*)flattenedAttributes;
@end

@interface EOEntity (EOAccessLayerExtensions)
- (NSNumber*)widthOfProperty:(NSString*)property;
- (NSNumber*)heightOfProperty:(NSString*)property;
- (NSNumber*)lengthOfProperty:(NSString*)property;
@end
