#import "EOGenericRecord+CRUDObject.h"
#import "EOEntity+CRUDLayerExtensions.h"
#import "NSObject+MKConvenience.h"
#import "Random.h"

@implementation EOGenericRecord (CRUDObjectADT)

	//
	//  Generate a random (default) PrimaryKey...
	//  (So that subclasses of EOGenericRecord "Just Work!")
	//
- (NSString*)hasValidData
{
	NSArray *pkNames;
	NSEnumerator *enu;
	NSString *pkName;
	int randomInt;
	NSNumber *uniqueId;
	
	pkNames = [[self entity] primaryKeyAttributeNames];
	enu = [pkNames objectEnumerator];
	while (pkName = [enu nextObject]) {
		if ([self valueForKey:pkName] == nil) {
			randomInt = [Random randomIntBetween:1000 and:999999];
			uniqueId  = [NSNumber numberWithInt:randomInt];

			NSLog(@"hasValidData: Setting random primary key for '%@.%@' = (%@).",
				[entity name], pkName, uniqueId);
			[self setValue:uniqueId forKey:pkName];
		}
	}
	return nil;
}

@end
