#import "CRUDObjectProtocol.h"

	// Only need to override these methods if adding LOGIC
	// to the Class or Instance (e.g. visibleProperties might
	// be dependent upon the current user).  If no logic is
	// involved (e.g. the same properties are visible for 
	// all users), then specifying this in the .plist extension
	// is preferred.
@interface NSObject (CRUDObjectADT) <CRUDObjectProtocol>

	// TODO:  Would love to put the default behavior here
	// 	  rather than in the CRUDLayer.
	//	  Problem is that most of the logic is based
	// 	  on the 'entity' and neither NSObject nor
	//	  EOGenericRecord implement +entity.
	//	  (And most of the calls are based on the Class not
	//	  necessarily an Instance).
	//	  As a result most of the default implementation
	// 	  is forced back up into the CRUDLayer.
@end
