//////////////////////////////////////////////////////////////////////////
//
//	ComponentEditor.app
//	FileName: AppController.h
//
//		Written by zander@cnext.crec.mipt.ru (Aleksey Sudakov)
// 	Feb. 1,1996
//		Last Modified Feb. 1,1996
//

#import <appkit/appkit.h>

@interface AppController:Object
{
    id	infoController;
    id	prefController;

    id componentSubmenuCell;
    id saveMenuCell;
    id saveAsMenuCell;
    id saveAllMenuCell;

   BOOL first;

   id	editor;
}
- init;

- showPrefs:sender;

- open:sender;
- openFile:(const char *)fileName;

- (int)countEditedWindows;
- saveAll:sender;

- (BOOL)menuActive:menuCell;

/* Application delegate methods */

- appDidInit:(Application *)sender;
- appWillTerminate:sender;
- (int)app:sender openFile:(const char *)file type:(const char *)type;
- (BOOL)appAcceptsAnotherFile:sender;

@end
