/*
 *	Test.m
 *
 *	Test class for sendmail wrapper class
 *
 */
 
#ifdef OPENSTEP
#import <Foundation/Foundation.h>
#else
#import <foundation/NSAutoreleasePool.h>
#import <foundation/NSString.h>
#import <foundation/NSArray.h>
#import <foundation/NSDictionary.h>
#endif

#import <stdio.h>

#import "Sendmail.h"

#ifdef WIN32
@interface NSAutoreleasePool (debug)
- (void)enableDoubleReleaseCheck:(BOOL)val;
@end
#endif

void main(int argc, char *argv[])
{
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
	NSString *message = @"This is a test message.\n\nBye!\n";
	NSArray *recips = [NSArray arrayWithObjects:@"lukeh@vurt.schnet.edu.au", nil];
	NSString *subject = @"This is a test subject.";
	NSString *from = @"lukeh@inter.net.au";
	NSMutableDictionary *h = [[[NSMutableDictionary alloc] init] autorelease];
//	NSString *badString = @"Luke | foo (hello) \\poo 'df` $foo;rm -rf";
	Sendmail *mail;

//	[NSAutoreleasePool enableDoubleReleaseCheck:YES];
	
	[h setObject:@"http://www.inter.net.au/~lukeh" forKey:@"X-URL"];
	
	mail = [Sendmail sharedInstance];

	[h setObject:@"http://www.inter.net.au/~lukeh" forKey:@"X-URL"];
	[h setObject:@"lukeh@vurt.schnet.edu.au (Luke Howard),Luke Howard <lukeh@schnet.edu.au>, lukeh@xedoc.com" forKey:@"To"];
	[h setObject:@"lukeh@xedoc.com" forKey:@"From"];
	[h setObject:@"Testing BLAT for Win32/ObjC" forKey:@"Subject"];
	[mail postMessage:message withHeaders:h];

//	[[mail sharedBlat] blatMail:message withHeaders:h];

/*

	if ([mail postMessage:message from:from to:recips withSubject:subject andHeaders:h])
		printf("succeeded!\n");
	else
		fprintf(stderr, "failed with %s\n", [[mail lastError] cString]);
*/
	exit(0);
}
